Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper
Interface PropertyMapper

All Known Subinterfaces:
  ExtendedPropertyMapper

All Known Implementing Classes:
  AbstractCollectionMapper, BasicCollectionMapper, ComponentPropertyMapper, ListCollectionMapper, MapCollectionMapper, MultiPropertyMapper, OneToOneNotOwningMapper, SinglePropertyMapper, SortedMapCollectionMapper, SortedSetCollectionMapper, SubclassPropertyMapper, ToOneIdMapper

    public interface PropertyMapper

Author:
  Adam Warski (adam at warski dot org)

Method Summary
`List<PersistentCollectionChangeData>` | `mapCollectionChanges(String referencingPropertyName, PersistentCollection newColl, Serializable oldColl, Serializable id)` Maps collection changes
`void` | `mapToEntityFromMap(AuditConfiguration verCfg, Object obj, Map data, Object primaryKey, AuditReaderImplementor versionsReader, Number revision)` Maps properties from the given map to the given object.
`boolean` | `mapToMapFromEntity(SessionImplementor session, Map<String,Object> data, Object newObj, Object oldObj)` Maps properties to the given map, basing on differences between properties of new and old objects.

Method Detail

### mapToMapFromEntity

    boolean mapToMapFromEntity(SessionImplementor session,
                               Map<String,Object> data,
                               Object newObj,
                               Object oldObj)

  Maps properties to the given map, basing on differences between properties of new and old objects.

  Parameters:
    `session` - The current session.
    `data` - Data to map to.
    `newObj` - New state of the entity.
    `oldObj` - Old state of the entity.
  Returns:
    True if there are any differences between the states represented by newObj and oldObj.

### mapToEntityFromMap

    void mapToEntityFromMap(AuditConfiguration verCfg,
                            Object obj,
                            Map data,
                            Object primaryKey,
                            AuditReaderImplementor versionsReader,
                            Number revision)

  Maps properties from the given map to the given object.

  Parameters:
    `verCfg` - Versions configuration.
    `obj` - Object to map to.
    `data` - Data to map from.
    `primaryKey` - Primary key of the object to which we map (for relations)
    `versionsReader` - VersionsReader for reading relations
    `revision` - Revision at which the object is read, for reading relations

### mapCollectionChanges

    List<PersistentCollectionChangeData> mapCollectionChanges(String referencingPropertyName,
                                                              PersistentCollection newColl,
                                                              Serializable oldColl,
                                                              Serializable id)

  Maps collection changes

  Parameters:
    `referencingPropertyName` - Name of the field, which holds the collection in the entity.
    `newColl` - New collection, after updates.
    `oldColl` - Old collection, before updates.
    `id` - Id of the object owning the collection.
  Returns:
    List of changes that need to be performed on the persistent store.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.